Name:           nvimpager
Version:        0.12.0
Release:        %mkrel 1
Summary:        Use neovim as a pager
License:        BSD-2-Clause
Group:          Editors
URL:            https://github.com/lucc/nvimpager
Source:         https://github.com/lucc/nvimpager/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  scdoc
Requires:       lua 
Requires:       neovim >= 0.9.0
BuildArch:      noarch

%description
Using neovim as a pager to view man pages, git diffs, whatnot with neovim's
syntax highlighting and mouse support.

To use %{name} as your default pager, do
export PAGER=nvimpager

%package zsh-completion
Summary:        Zsh completion for %{name}
Group:          Editors
Requires:       %{name} = %{version}-%{release}
Requires:       zsh
Supplements:    (%{name} and zsh)
BuildArch:      noarch

%description zsh-completion
Zsh command line completion support for %{name}.

%prep
%autosetup
sed -i "s/#!\/usr\/bin\/env bash/#!\/usr\/bin\/bash/" nvimpager

%build

%install
%make_install PREFIX=%{_prefix}

%files
%license LICENSE
%doc README.md
%{_bindir}/nvimpager
%{_mandir}/man1/nvimpager.*
%{_datadir}/nvimpager/

%files zsh-completion
%license LICENSE
%{_datadir}/zsh/site-functions/_nvimpager


%changelog
* Sat May 13 2023 kekepower <kekepower> 0.12.0-1.mga9
+ Revision: 1956782
- Update to version 0.12.0

* Wed May 10 2023 neoclust <neoclust> 0.11.0-2.mga9
+ Revision: 1956442
- Fix lua name. Current lua is 5.4

* Tue May 09 2023 kekepower <kekepower> 0.11.0-1.mga9
+ Revision: 1956299
- imported package nvimpager

